package com.qmth.distributed.print.business.activiti.custom.service.impl;

import com.qmth.distributed.print.business.activiti.custom.service.AbstractMultiWorkFlowService;
import org.activiti.bpmn.model.UserTask;
import org.springframework.stereotype.Service;

/**
 * @Description: 并行/串行业务impl
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2022/2/8
 */
@Service
public class MultiWorkFlowService extends AbstractMultiWorkFlowService {

    /**
     * 创建多实例行为解释器
     *
     * @param userTask
     * @param sequential
     * @return
     */
    @Override
    public UserTask createMultiInstanceLoopCharacteristics(UserTask userTask, boolean sequential) {
        return createMultiInstanceBehavior(userTask, sequential);
    }
}
