package com.qmth.distributed.print.business.bean.dto;

import io.swagger.annotations.ApiModelProperty;

/**
 * 考生扫描阅卷状态
 */
public class DeleteBasicExamStudentStatusDto {

    @ApiModelProperty(value = "姓名")
    private String studentName;

    @ApiModelProperty(value = "学号")
    private String studentCode;

    @ApiModelProperty(value = "课程代码")
    private String courseCode;
    @ApiModelProperty(value = "课程名称")
    private String courseName;
    @ApiModelProperty(value = "开课学院")
    private String openCollege;

    @ApiModelProperty(value = "是否已扫描上传")
    private Boolean scanStatus = false;

    @ApiModelProperty(value = "是否有阅卷任务")
    private Boolean markTaskStatus = false;

    public DeleteBasicExamStudentStatusDto() {
    }

    public DeleteBasicExamStudentStatusDto(String studentName, String studentCode) {
        this.studentName = studentName;
        this.studentCode = studentCode;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getOpenCollege() {
        return openCollege;
    }

    public void setOpenCollege(String openCollege) {
        this.openCollege = openCollege;
    }

    public Boolean getScanStatus() {
        return scanStatus;
    }

    public void setScanStatus(Boolean scanStatus) {
        this.scanStatus = scanStatus;
    }

    public Boolean getMarkTaskStatus() {
        return markTaskStatus;
    }

    public void setMarkTaskStatus(Boolean markTaskStatus) {
        this.markTaskStatus = markTaskStatus;
    }
}
