package com.qmth.distributed.print.business.bean.dto;

import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @Description: 学号配置dto
 * @Author: CaoZixuan
 * @Date: 2024-10-10
 */
public class StudentNumberConfigDto {
    @ApiModelProperty("学号位数")
    private Integer digit;

    @ApiModelProperty("是否包含字母")
    private Boolean containsLetter;

    @ApiModelProperty("字母映射关系")
    private List<StudentNumberLetterRelationShipDto> relationList;

    public Integer getDigit() {
        return digit;
    }

    public void setDigit(Integer digit) {
        this.digit = digit;
    }

    public Boolean getContainsLetter() {
        return containsLetter;
    }

    public void setContainsLetter(Boolean containsLetter) {
        this.containsLetter = containsLetter;
    }

    public List<StudentNumberLetterRelationShipDto> getRelationList() {
        return relationList;
    }

    public void setRelationList(List<StudentNumberLetterRelationShipDto> relationList) {
        this.relationList = relationList;
    }
}
