package com.qmth.distributed.print.business.bean.dto.open;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

public class PaperStructure {

    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    private String questionName;

    private String numberType;

    private String bigQuestionNumber;

    private String smallQuestionNumber;

    private String bigTopicName;

    private BigDecimal fullScore;

    private String scoreRules;

    private String knowledgeDimension;

    private String abilityDimension;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getQuestionName() {
        return questionName;
    }

    public void setQuestionName(String questionName) {
        this.questionName = questionName;
    }

    public String getNumberType() {
        return numberType;
    }

    public void setNumberType(String numberType) {
        this.numberType = numberType;
    }

    public String getBigQuestionNumber() {
        return bigQuestionNumber;
    }

    public void setBigQuestionNumber(String bigQuestionNumber) {
        this.bigQuestionNumber = bigQuestionNumber;
    }

    public String getSmallQuestionNumber() {
        return smallQuestionNumber;
    }

    public void setSmallQuestionNumber(String smallQuestionNumber) {
        this.smallQuestionNumber = smallQuestionNumber;
    }

    public String getBigTopicName() {
        return bigTopicName;
    }

    public void setBigTopicName(String bigTopicName) {
        this.bigTopicName = bigTopicName;
    }

    public BigDecimal getFullScore() {
        return fullScore;
    }

    public void setFullScore(BigDecimal fullScore) {
        this.fullScore = fullScore;
    }

    public String getScoreRules() {
        return scoreRules;
    }

    public void setScoreRules(String scoreRules) {
        this.scoreRules = scoreRules;
    }

    public String getKnowledgeDimension() {
        return knowledgeDimension;
    }

    public void setKnowledgeDimension(String knowledgeDimension) {
        this.knowledgeDimension = knowledgeDimension;
    }

    public String getAbilityDimension() {
        return abilityDimension;
    }

    public void setAbilityDimension(String abilityDimension) {
        this.abilityDimension = abilityDimension;
    }
}
