package com.qmth.distributed.print.business.bean.flow.dto;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: 流程消息dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2023/6/14
 */
public class HandleMessageDto implements Serializable {

    @ApiModelProperty(value = "待办消息")
    List<StandardFlowWorkMsg> todoTaskList;

//    @ApiModelProperty(value = "消息详情")
//    StandardFlowViewMsg standardFlowViewMsg;

    public HandleMessageDto() {

    }

    public HandleMessageDto(List<StandardFlowWorkMsg> todoTaskList) {
        this.todoTaskList = todoTaskList;
    }

//    public HandleMessageDto(List<StandardFlowWorkMsg> standardFlowWorkMsgList, StandardFlowViewMsg standardFlowViewMsg) {
//        this.standardFlowWorkMsgList = standardFlowWorkMsgList;
//        this.standardFlowViewMsg = standardFlowViewMsg;
//    }

    public List<StandardFlowWorkMsg> getTodoTaskList() {
        return todoTaskList;
    }

    public void setTodoTaskList(List<StandardFlowWorkMsg> todoTaskList) {
        this.todoTaskList = todoTaskList;
    }

//    public StandardFlowViewMsg getStandardFlowViewMsg() {
//        return standardFlowViewMsg;
//    }
//
//    public void setStandardFlowViewMsg(StandardFlowViewMsg standardFlowViewMsg) {
//        this.standardFlowViewMsg = standardFlowViewMsg;
//    }
}
