package com.qmth.distributed.print.business.bean.query;

import com.qmth.teachcloud.common.base.BasePage;
import io.swagger.annotations.ApiModelProperty;

/**
 * 考生管理查询条件
 */
public class BasicExamStudentPageQuery extends BasePage {

    @ApiModelProperty(value = "学期ID")
    private Long semesterId;
    @ApiModelProperty(value = "考试ID")
    private Long examId;
    @ApiModelProperty(value = "开课学院ID")
    private Long openCollegeId;
    @ApiModelProperty(value = "课程ID")
    private Long courseId;
    @ApiModelProperty(value = "试卷编号")
    private String paperNumber;
    @ApiModelProperty(value = "教师（工号/姓名）")
    private String teacher;
    @ApiModelProperty(value = "学院")
    private String college;
    @ApiModelProperty(value = "专业")
    private String major;
    @ApiModelProperty(value = "教学班（模糊查询）")
    private String teachClassName;
    @ApiModelProperty(value = "行政班（模糊查询）")
    private String className;
    @ApiModelProperty(value = "考生信息（姓名/学号）")
    private String examStudentInfo;

    public Long getSemesterId() {
        return semesterId;
    }

    public void setSemesterId(Long semesterId) {
        this.semesterId = semesterId;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Long getOpenCollegeId() {
        return openCollegeId;
    }

    public void setOpenCollegeId(Long openCollegeId) {
        this.openCollegeId = openCollegeId;
    }

    public Long getCourseId() {
        return courseId;
    }

    public void setCourseId(Long courseId) {
        this.courseId = courseId;
    }

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }

    public String getTeacher() {
        return teacher;
    }

    public void setTeacher(String teacher) {
        this.teacher = teacher;
    }

    public String getCollege() {
        return college;
    }

    public void setCollege(String college) {
        this.college = college;
    }

    public String getMajor() {
        return major;
    }

    public void setMajor(String major) {
        this.major = major;
    }

    public String getTeachClassName() {
        return teachClassName;
    }

    public void setTeachClassName(String teachClassName) {
        this.teachClassName = teachClassName;
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className;
    }

    public String getExamStudentInfo() {
        return examStudentInfo;
    }

    public void setExamStudentInfo(String examStudentInfo) {
        this.examStudentInfo = examStudentInfo;
    }
}
