package com.qmth.distributed.print.business.templete.create;

import com.qmth.distributed.print.business.entity.TBTaskPdf;
import com.qmth.distributed.print.business.templete.callback.CallbackCreatePdf;
import com.qmth.distributed.print.business.templete.importData.AsyncImportTaskTemplete;
import com.qmth.teachcloud.common.util.Result;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.scheduling.annotation.Async;

/**
 * @Description: 异步创建pdf模版
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/3/29
 */
public abstract class AsyncCreateTaskTemplete extends AsyncImportTaskTemplete {
    private final static Logger log = LoggerFactory.getLogger(AsyncCreateTaskTemplete.class);

    public static final String BEGIN_TITLE = "->开始准备创建";

    /**
     * 创建pdf
     */
    @Async("taskThreadPool")
    public Result createPdf(TBTaskPdf tbTaskPdf, CallbackCreatePdf callbackCreatePdf) {
        return null;
    }
}
