package com.qmth.teachcloud.common.bean.params.mark.setting;

import com.qmth.teachcloud.common.enums.mark.MarkMode;
import io.swagger.annotations.ApiModelProperty;

public class MarkPaperSettingConfig {

    private MarkMode markMode;
    private Long markStartTime;
    private Long markEndTime;
    private Double passScore;
    private Double excellentScore;
    private Boolean showObjectScore;
    private Boolean autoScroll;
    private Boolean openDoubleMarking;

    public MarkMode getMarkMode() {
        return markMode;
    }

    public void setMarkMode(MarkMode markMode) {
        this.markMode = markMode;
    }

    public Long getMarkStartTime() {
        return markStartTime;
    }

    public void setMarkStartTime(Long markStartTime) {
        this.markStartTime = markStartTime;
    }

    public Long getMarkEndTime() {
        return markEndTime;
    }

    public void setMarkEndTime(Long markEndTime) {
        this.markEndTime = markEndTime;
    }

    public Double getPassScore() {
        return passScore;
    }

    public void setPassScore(Double passScore) {
        this.passScore = passScore;
    }

    public Double getExcellentScore() {
        return excellentScore;
    }

    public void setExcellentScore(Double excellentScore) {
        this.excellentScore = excellentScore;
    }

    public Boolean getShowObjectScore() {
        return showObjectScore;
    }

    public void setShowObjectScore(Boolean showObjectScore) {
        this.showObjectScore = showObjectScore;
    }

    public Boolean getAutoScroll() {
        return autoScroll;
    }

    public void setAutoScroll(Boolean autoScroll) {
        this.autoScroll = autoScroll;
    }

    public Boolean getOpenDoubleMarking() {
        return openDoubleMarking;
    }

    public void setOpenDoubleMarking(Boolean openDoubleMarking) {
        this.openDoubleMarking = openDoubleMarking;
    }
}
