package com.qmth.teachcloud.common.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.teachcloud.common.entity.BasicTeachCourse;

import java.util.Set;

/**
 * <p>
 * 老师和课程关联表 服务类
 * </p>
 *
 * @author wangliang
 * @since 2023-04-24
 */
public interface BasicTeachCourseService extends IService<BasicTeachCourse> {

    /**
     * 插入老师和课程关联表
     *
     * @param courseId
     * @param teachIdSet
     */
    public void updateByCourseIdAndTeacherList(Long courseId, Set<Long> teachIdSet);
}
