package com.qmth.teachcloud.common.util.excel.convertor.impl;

import org.apache.poi.ss.usermodel.Cell;

import com.qmth.teachcloud.common.util.excel.convertor.ValueConvertor;
import com.qmth.teachcloud.common.util.excel.model.FieldParam;

public class IntegerConvertor implements ValueConvertor<Integer> {

    public static final IntegerConvertor instance = new IntegerConvertor();

    @Override
    public Integer parse(String value, FieldParam param) throws Exception {
        return Integer.parseInt(value);
    }

    @Override
    public void format(Integer object, FieldParam param, Cell cell) throws Exception {
        //        if (StringUtils.isNotBlank(param.getAnnotation().pattern())) {
        //            cell.setCellValue(new DecimalFormat(param.getAnnotation().pattern()).format(object));
        //        } else {
        //            cell.setCellValue(object);
        //        }
        cell.setCellValue(object);
    }
}
