package com.qmth.teachcloud.mark.bean.archivescore;

import io.swagger.annotations.ApiModelProperty;

public class QuestionVo {

	@ApiModelProperty("考生总数")
	private Integer studentCount;

	@ApiModelProperty("有得分总数")
	private Integer scoreCount;

	@ApiModelProperty("满分总数")
	private Integer fullScoreCount;

	@ApiModelProperty("考生在该题目的总得分")
	private Double scoreSum;

	@ApiModelProperty("题目名称")
	private String title;

	@ApiModelProperty("大题号")
	private Integer mainNumber;

	@ApiModelProperty("小题号")
	private Integer subNumber;

	@ApiModelProperty("该题分数")
	private Double score;

	@ApiModelProperty("平均分")
	private Double avgScore;

	@ApiModelProperty("有分率")
	private Double scoreRate;

	@ApiModelProperty("满分率")
	private Double fullScoreRate;

	@ApiModelProperty("最高分")
	private Double maxScore;

	@ApiModelProperty("最低分")
	private Double minScore;

	@ApiModelProperty("零分人数")
	private Integer zeroScoreCount;

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public Integer getMainNumber() {
		return mainNumber;
	}

	public void setMainNumber(Integer mainNumber) {
		this.mainNumber = mainNumber;
	}

	public Integer getSubNumber() {
		return subNumber;
	}

	public void setSubNumber(Integer subNumber) {
		this.subNumber = subNumber;
	}

	public Double getScore() {
		return score;
	}

	public void setScore(Double score) {
		this.score = score;
	}

	public Double getAvgScore() {
		return avgScore;
	}

	public void setAvgScore(Double avgScore) {
		this.avgScore = avgScore;
	}

	public Double getScoreRate() {
		return scoreRate;
	}

	public void setScoreRate(Double scoreRate) {
		this.scoreRate = scoreRate;
	}

	public Double getFullScoreRate() {
		return fullScoreRate;
	}

	public void setFullScoreRate(Double fullScoreRate) {
		this.fullScoreRate = fullScoreRate;
	}

	public Integer getStudentCount() {
		return studentCount;
	}

	public void setStudentCount(Integer studentCount) {
		this.studentCount = studentCount;
	}

	public Integer getScoreCount() {
		return scoreCount;
	}

	public void setScoreCount(Integer scoreCount) {
		this.scoreCount = scoreCount;
	}

	public Integer getFullScoreCount() {
		return fullScoreCount;
	}

	public void setFullScoreCount(Integer fullScoreCount) {
		this.fullScoreCount = fullScoreCount;
	}

	public Double getScoreSum() {
		return scoreSum;
	}

	public void setScoreSum(Double scoreSum) {
		this.scoreSum = scoreSum;
	}

	public Double getMaxScore() {
		return maxScore;
	}

	public void setMaxScore(Double maxScore) {
		this.maxScore = maxScore;
	}

	public Double getMinScore() {
		return minScore;
	}

	public void setMinScore(Double minScore) {
		this.minScore = minScore;
	}

	public Integer getZeroScoreCount() {
		return zeroScoreCount;
	}

	public void setZeroScoreCount(Integer zeroScoreCount) {
		this.zeroScoreCount = zeroScoreCount;
	}
}
