package com.qmth.teachcloud.mark.bean.archivescore;

import io.swagger.annotations.ApiModelProperty;

import java.util.List;

public class ScoreReportVo {

	@ApiModelProperty("考试名称")
	private String examName;

	@ApiModelProperty("学期名称")
	private String semesterName;

	@ApiModelProperty("考试概况")
	private OverViewVo overview;

	@ApiModelProperty("成绩分数段分析")
	private List<ScoreRangeVo> scoreRange;

	private List<CollegeVo> college;

	private List<ClassVo> classData;

	private List<TeacherVo> teacher;

	private List<TeacherClassVo> teacherClass;

	@ApiModelProperty("客观题成绩分析")
	private List<QuestionObjectiveVo> objective;

	@ApiModelProperty("主观题成绩分析")
	private List<QuestionVo> subjective;

	@ApiModelProperty("大题分析")
	private List<QuestionVo> mainQuestionAnalysis;

	public String getExamName() {
		return examName;
	}

	public void setExamName(String examName) {
		this.examName = examName;
	}

	public String getSemesterName() {
		return semesterName;
	}

	public void setSemesterName(String semesterName) {
		this.semesterName = semesterName;
	}

	public OverViewVo getOverview() {
		return overview;
	}

	public void setOverview(OverViewVo overview) {
		this.overview = overview;
	}

	public List<ScoreRangeVo> getScoreRange() {
		return scoreRange;
	}

	public void setScoreRange(List<ScoreRangeVo> scoreRange) {
		this.scoreRange = scoreRange;
	}

	public List<CollegeVo> getCollege() {
		return college;
	}

	public void setCollege(List<CollegeVo> college) {
		this.college = college;
	}

	public List<ClassVo> getClassData() {
		return classData;
	}

	public void setClassData(List<ClassVo> classData) {
		this.classData = classData;
	}

	public List<TeacherVo> getTeacher() {
		return teacher;
	}

	public void setTeacher(List<TeacherVo> teacher) {
		this.teacher = teacher;
	}

	public List<TeacherClassVo> getTeacherClass() {
		return teacherClass;
	}

	public void setTeacherClass(List<TeacherClassVo> teacherClass) {
		this.teacherClass = teacherClass;
	}

	public List<QuestionObjectiveVo> getObjective() {
		return objective;
	}

	public void setObjective(List<QuestionObjectiveVo> objective) {
		this.objective = objective;
	}

	public List<QuestionVo> getSubjective() {
		return subjective;
	}

	public void setSubjective(List<QuestionVo> subjective) {
		this.subjective = subjective;
	}

	public List<QuestionVo> getMainQuestionAnalysis() {
		return mainQuestionAnalysis;
	}

	public void setMainQuestionAnalysis(List<QuestionVo> mainQuestionAnalysis) {
		this.mainQuestionAnalysis = mainQuestionAnalysis;
	}
}


