package com.qmth.teachcloud.mark.dto;

import com.qmth.boot.tools.excel.annotation.ExcelColumn;

/**
 * @Description: 总量分析dto
 * @Author: CaoZixuan
 * @Date: 2024-08-22
 */
public class ArchiveScoreExportDto {

    @ExcelColumn(name = "课程名称（代码）", index = 0)
    private String courseInfo;

    @ExcelColumn(name = "开课学院", index = 1)
    private String openCollege;

    @ExcelColumn(name = "试卷编号", index = 2)
    private String paperNumber;

    @ExcelColumn(name = "总考生", index = 3)
    private Integer studentCount;

    @ExcelColumn(name = "参考班级", index = 4)
    private Integer classCount;

    @ExcelColumn(name = "缺考人数", index = 5)
    private Integer absentCount;

    @ExcelColumn(name = "平均分", index = 6)
    private Double avgScore;

    @ExcelColumn(name = "最高分", index = 7)
    private Double maxScore;

    @ExcelColumn(name = "最低分", index = 8)
    private Double minScore;

    @ExcelColumn(name = "及格人数", index = 9)
    private Integer passCount;

    @ExcelColumn(name = "及格率", index = 10)
    private String passRate;

    @ExcelColumn(name = "优秀人数", index = 11)
    private Integer excellentCount;

    @ExcelColumn(name = "优秀率", index = 12)
    private String excellentRate;

    public String getCourseInfo() {
        return courseInfo;
    }

    public void setCourseInfo(String courseInfo) {
        this.courseInfo = courseInfo;
    }

    public String getOpenCollege() {
        return openCollege;
    }

    public void setOpenCollege(String openCollege) {
        this.openCollege = openCollege;
    }

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }

    public Integer getStudentCount() {
        return studentCount;
    }

    public void setStudentCount(Integer studentCount) {
        this.studentCount = studentCount;
    }

    public Integer getClassCount() {
        return classCount;
    }

    public void setClassCount(Integer classCount) {
        this.classCount = classCount;
    }

    public Integer getAbsentCount() {
        return absentCount;
    }

    public void setAbsentCount(Integer absentCount) {
        this.absentCount = absentCount;
    }

    public Double getAvgScore() {
        return avgScore;
    }

    public void setAvgScore(Double avgScore) {
        this.avgScore = avgScore;
    }

    public Double getMaxScore() {
        return maxScore;
    }

    public void setMaxScore(Double maxScore) {
        this.maxScore = maxScore;
    }

    public Double getMinScore() {
        return minScore;
    }

    public void setMinScore(Double minScore) {
        this.minScore = minScore;
    }

    public Integer getPassCount() {
        return passCount;
    }

    public void setPassCount(Integer passCount) {
        this.passCount = passCount;
    }

    public String getPassRate() {
        return passRate;
    }

    public void setPassRate(String passRate) {
        this.passRate = passRate;
    }

    public Integer getExcellentCount() {
        return excellentCount;
    }

    public void setExcellentCount(Integer excellentCount) {
        this.excellentCount = excellentCount;
    }

    public String getExcellentRate() {
        return excellentRate;
    }

    public void setExcellentRate(String excellentRate) {
        this.excellentRate = excellentRate;
    }
}
