package com.qmth.teachcloud.mark.dto.mark;

import com.qmth.teachcloud.common.entity.MarkQuestion;
import com.qmth.teachcloud.common.enums.ObjectivePolicy;
import io.swagger.annotations.ApiModelProperty;

public class MarkQuestionAnswerVo extends MarkQuestion {

    @ApiModelProperty(value = "客观题标答")
    private String answer;

    @ApiModelProperty(value = "客观题判分策略")
    private ObjectivePolicy objectivePolicy;

    @ApiModelProperty(value = "客观题判分策略计分")
    private Double objectivePolicyScore;

    @Override
    public String getAnswer() {
        return answer;
    }

    @Override
    public void setAnswer(String answer) {
        this.answer = answer;
    }

    @Override
    public ObjectivePolicy getObjectivePolicy() {
        return objectivePolicy;
    }

    @Override
    public void setObjectivePolicy(ObjectivePolicy objectivePolicy) {
        this.objectivePolicy = objectivePolicy;
    }

    @Override
    public Double getObjectivePolicyScore() {
        return objectivePolicyScore;
    }

    @Override
    public void setObjectivePolicyScore(Double objectivePolicyScore) {
        this.objectivePolicyScore = objectivePolicyScore;
    }
}
