package com.qmth.teachcloud.mark.enums;

public enum LockType {
	EXAM_SUBJECT("exam_subject"), 
	GROUP("group"), 
	GROUP_DELETE("group_delete"), 
	STUDENT("student"),
	MARK_USER_GROUP("mark_user_group"), 
	MARKER_RESET("marker_reset"), 
	USER("user"), 
	FORMAL_LIBRARY("formal_library"),
	TRIAL_LIBRARY("trial_library"), 
	ARBITRATE("arbitrate"), 
	BATCH_QUALITY("batch_quality"),
	SCORE_CALCULATE("score_calculate"), 
	GROUP_LIBRARY("group_library"), 
	DATA_SYNC("data_sync"), 
	SCHOOL("school"),
	QUESTION_DELETE("question_delete"),
	CARD_SAVE("card_save"),
	INIT_MARK_DATA("init_mark_data"),
    CREATE_PDF("create_pdf"),
    EXAM_TASK_WHOLE("exam_task_whole"),
    CUSTOM_CARD_SAVE("custom_card_save"),
	;

	private String name;

	private LockType(String name) {
		this.name = name;
	}

	public String getName() {
		return name;
	}

}
