package com.qmth.teachcloud.mark.mapper;

import com.github.jeffreyning.mybatisplus.base.MppBaseMapper;
import com.qmth.teachcloud.common.bean.dto.DataPermissionRule;
import com.qmth.teachcloud.mark.entity.MarkPaperPackage;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 考试科目卷袋表 Mapper 接口
 * </p>
 *
 * @author xf
 * @since 2023-11-30
 */
public interface MarkPaperPackageMapper extends MppBaseMapper<MarkPaperPackage> {

    int getPackageCountByExamId(@Param("examId") Long examId, @Param("courseId") Long courseId, @Param("coursePaperId") String coursePaperId, @Param("status") String status, @Param("dpr") DataPermissionRule dpr);
}
