package com.qmth.teachcloud.mark.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.qmth.teachcloud.mark.dto.mark.manage.MarkRejectHistoryDto;
import com.qmth.teachcloud.mark.entity.MarkRejectHistory;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author xf
 * @since 2024-08-22
 */
public interface MarkRejectHistoryMapper extends BaseMapper<MarkRejectHistory> {

    IPage<MarkRejectHistoryDto> pageRejectHistory(@Param("page") Page<MarkRejectHistoryDto> page, @Param("examId") Long examId, @Param("paperNumber") String paperNumber, @Param("groupNumber") Integer groupNumber, @Param("loginName") String loginName, @Param("studentCode") String studentCode, @Param("secretNumber") String secretNumber, @Param("teachClassName") String teachClassName);
}
