package com.qmth.teachcloud.mark.mapper;

import com.qmth.teachcloud.mark.entity.MarkSpecialTag;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 特殊标记表 Mapper 接口
 * </p>
 *
 * @author xf
 * @since 2023-11-01
 */
public interface MarkSpecialTagMapper extends BaseMapper<MarkSpecialTag> {

    void deleteByStudentId(@Param("studentId") Long studentId);

    void deleteByExamIdAndPaperNumberAndGroupNumber(@Param("examId") Long examId, @Param("paperNumber") String paperNumber, @Param("groupNumber") Integer groupNumber);
}
