package com.qmth.teachcloud.mark.mapper;

import com.qmth.teachcloud.common.bean.dto.DataPermissionRule;
import com.qmth.teachcloud.mark.bean.scananswer.StudentPaperVo;
import com.qmth.teachcloud.mark.bean.scanpaper.PaperVo;
import com.qmth.teachcloud.mark.dto.mark.score.StudentPaperDetailDto;
import com.qmth.teachcloud.mark.entity.ScanPaper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
public interface ScanPaperMapper extends BaseMapper<ScanPaper> {

    List<StudentPaperDetailDto> listStudentPaperDetail(@Param("studentId") Long studentId);

	List<PaperVo> findStudentPaper(@Param("studentId")Long studentId);

	List<StudentPaperVo> listByStudentIds(@Param("studentIds")List<Long> studentIds);

    int countByExamIdAndCardNumber(@Param("examId") Long examId, @Param("number") Integer number);
}
