package com.qmth.teachcloud.mark.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.qmth.teachcloud.mark.dto.mark.manage.MarkRejectHistoryDto;
import com.qmth.teachcloud.mark.entity.MarkRejectHistory;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author xf
 * @since 2024-08-22
 */
public interface MarkRejectHistoryService extends IService<MarkRejectHistory> {

    IPage<MarkRejectHistoryDto> pageRejectHistory(Long examId, String paperNumber, Integer groupNumber, String loginName, String studentCode, String secretNumber, String teachClassName, Integer pageNumber, Integer pageSize);

    void deleteByExamIdAndPaperNumberAndGroupNumber(Long examId, String paperNumber, Integer groupNumber);
}
