package com.qmth.teachcloud.obe.been.report;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: 报告课程考核成绩评价明细结果dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2024/2/26
 */
public class ReportCourseEvaluationResultDetailDto implements Serializable {

    @ApiModelProperty(value = "考生集合")
    private List<ReportExamStudentDto> examStudentList;

//    @ApiModelProperty(value = "课程目标达成评价值图")
//    private List<ReportCourseTargetViewDto> courseTargetList;

    public ReportCourseEvaluationResultDetailDto() {

    }

    public ReportCourseEvaluationResultDetailDto(List<ReportExamStudentDto> examStudentList) {
        this.examStudentList = examStudentList;
    }

//    public ReportCourseEvaluationResultDetailDto(List<ReportExamStudentDto> examStudentList, List<ReportCourseTargetViewDto> courseTargetList) {
//        this.examStudentList = examStudentList;
//        this.courseTargetList = courseTargetList;
//    }

    public List<ReportExamStudentDto> getExamStudentList() {
        return examStudentList;
    }

    public void setExamStudentList(List<ReportExamStudentDto> examStudentList) {
        this.examStudentList = examStudentList;
    }

//    public List<ReportCourseTargetViewDto> getCourseTargetList() {
//        return courseTargetList;
//    }
//
//    public void setCourseTargetList(List<ReportCourseTargetViewDto> courseTargetList) {
//        this.courseTargetList = courseTargetList;
//    }
}
