package com.qmth.teachcloud.obe.been.result.report.audit;

import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 课程基础信息
 * @Author: CaoZixuan
 * @Date: 2024-10-08
 */
public class CourseBasicInfo {
    @ApiModelProperty("课程编码")
    private String courseCode;

    @ApiModelProperty("课程名称")
    private String courseName;

    @ApiModelProperty("授课学期")
    private String semester;

    @ApiModelProperty("适用专业")
    private String professional;

    @ApiModelProperty("学时")
    private Double period;

    @ApiModelProperty("学分")
    private Double credit;

    @ApiModelProperty("授课班级")
    private String clazz;

    @ApiModelProperty("授课教师")
    private String teacher;

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getSemester() {
        return semester;
    }

    public void setSemester(String semester) {
        this.semester = semester;
    }

    public String getProfessional() {
        return professional;
    }

    public void setProfessional(String professional) {
        this.professional = professional;
    }

    public Double getPeriod() {
        return period;
    }

    public void setPeriod(Double period) {
        this.period = period;
    }

    public Double getCredit() {
        return credit;
    }

    public void setCredit(Double credit) {
        this.credit = credit;
    }

    public String getClazz() {
        return clazz;
    }

    public void setClazz(String clazz) {
        this.clazz = clazz;
    }

    public String getTeacher() {
        return teacher;
    }

    public void setTeacher(String teacher) {
        this.teacher = teacher;
    }
}
