package com.qmth.teachcloud.obe.been.result.report.audit;

import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @Description: 课程评价
 * @Author: CaoZixuan
 * @Date: 2024-10-08
 */
public class CourseEvaluate {

    @ApiModelProperty("目标名称")
    private String name;

    @ApiModelProperty("过程性评价")
    private List<EvaluateInfo> procedureEvaluateList;

    @ApiModelProperty("终结性评价")
    private List<EvaluateInfo> finalityEvaluateList;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public List<EvaluateInfo> getProcedureEvaluateList() {
        return procedureEvaluateList;
    }

    public void setProcedureEvaluateList(List<EvaluateInfo> procedureEvaluateList) {
        this.procedureEvaluateList = procedureEvaluateList;
    }

    public List<EvaluateInfo> getFinalityEvaluateList() {
        return finalityEvaluateList;
    }

    public void setFinalityEvaluateList(List<EvaluateInfo> finalityEvaluateList) {
        this.finalityEvaluateList = finalityEvaluateList;
    }
}

