package com.qmth.teachcloud.obe.been.result.report.audit;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.List;

/**
 * @Description: 课程目标情况
 * @Author: CaoZixuan
 * @Date: 2024-10-08
 */
public class CourseTargetInfo {
    @ApiModelProperty("过程性评价总分")
    private BigDecimal proceduralTotalScore;

    @ApiModelProperty("终结性评价总分")
    private BigDecimal finalityTotalScore;

    @ApiModelProperty("课程负责人")
    private String courseManager;

    @ApiModelProperty("填写日期")
    private Long date;

    @ApiModelProperty("课程目标评价集合")
    private List<CourseEvaluate> courseEvaluateList;

    public BigDecimal getProceduralTotalScore() {
        return proceduralTotalScore;
    }

    public void setProceduralTotalScore(BigDecimal proceduralTotalScore) {
        this.proceduralTotalScore = proceduralTotalScore;
    }

    public BigDecimal getFinalityTotalScore() {
        return finalityTotalScore;
    }

    public void setFinalityTotalScore(BigDecimal finalityTotalScore) {
        this.finalityTotalScore = finalityTotalScore;
    }

    public String getCourseManager() {
        return courseManager;
    }

    public void setCourseManager(String courseManager) {
        this.courseManager = courseManager;
    }

    public Long getDate() {
        return date;
    }

    public void setDate(Long date) {
        this.date = date;
    }

    public List<CourseEvaluate> getCourseEvaluateList() {
        return courseEvaluateList;
    }

    public void setCourseEvaluateList(List<CourseEvaluate> courseEvaluateList) {
        this.courseEvaluateList = courseEvaluateList;
    }
}
