package com.qmth.teachcloud.obe.been.result.report.audit;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

/**
 * @Description: 目标评价
 * @Author: CaoZixuan
 * @Date: 2024-10-08
 */
public class EvaluateInfo {

    @ApiModelProperty("形式与内容")
    private String content;

    @ApiModelProperty("观测点")
    private String point;

    @ApiModelProperty("分值")
    private BigDecimal score;

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getPoint() {
        return point;
    }

    public void setPoint(String point) {
        this.point = point;
    }

    public BigDecimal getScore() {
        return score;
    }

    public void setScore(BigDecimal score) {
        this.score = score;
    }
}
