package com.qmth.teachcloud.obe.been.result.report.word.custom;

import com.deepoove.poi.data.ChartMultiSeriesRenderData;
import com.deepoove.poi.data.TableRenderData;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 西安工业大学课程报告bean
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2024/10/11
 */
public class XagyuCourseReportBean implements Serializable {

    @ApiModelProperty(name = "标题1")
    String xagyuTitle1;

    @ApiModelProperty(name = "课程bean")
    XagyuCourseBasicBean xagyuCourseBasicBean;

    @ApiModelProperty(name = "标题2")
    String xagyuTitle2;

    @ApiModelProperty(name = "课程报告表格1bean-课程目标对毕业要求的支撑")
    TableRenderData xagyuCourseTargetTable1;

    @ApiModelProperty(name = "课程报告表格2bean-评价标准")
    TableRenderData xagyuCourseTargetTable2;

    @ApiModelProperty(name = "考生表格1bean-课程目标达成情况")
    TableRenderData xagyuExamStudentTable1;

    @ApiModelProperty(name = "达成度分布柱状图")
    ChartMultiSeriesRenderData xagyuCourseTargetColumnDiagram1;

    public XagyuCourseReportBean() {

    }

    public XagyuCourseReportBean(String xagyuTitle1, XagyuCourseBasicBean xagyuCourseBasicBean) {
        this.xagyuTitle1 = xagyuTitle1;
        this.xagyuCourseBasicBean = xagyuCourseBasicBean;
        this.xagyuTitle2 = xagyuTitle1;
    }

    public String getXagyuTitle1() {
        return xagyuTitle1;
    }

    public void setXagyuTitle1(String xagyuTitle1) {
        this.xagyuTitle1 = xagyuTitle1;
    }

    public XagyuCourseBasicBean getXagyuCourseBasicBean() {
        return xagyuCourseBasicBean;
    }

    public void setXagyuCourseBasicBean(XagyuCourseBasicBean xagyuCourseBasicBean) {
        this.xagyuCourseBasicBean = xagyuCourseBasicBean;
    }

    public String getXagyuTitle2() {
        return xagyuTitle2;
    }

    public void setXagyuTitle2(String xagyuTitle2) {
        this.xagyuTitle2 = xagyuTitle2;
    }

    public TableRenderData getXagyuCourseTargetTable1() {
        return xagyuCourseTargetTable1;
    }

    public void setXagyuCourseTargetTable1(TableRenderData xagyuCourseTargetTable1) {
        this.xagyuCourseTargetTable1 = xagyuCourseTargetTable1;
    }

    public TableRenderData getXagyuCourseTargetTable2() {
        return xagyuCourseTargetTable2;
    }

    public void setXagyuCourseTargetTable2(TableRenderData xagyuCourseTargetTable2) {
        this.xagyuCourseTargetTable2 = xagyuCourseTargetTable2;
    }

    public TableRenderData getXagyuExamStudentTable1() {
        return xagyuExamStudentTable1;
    }

    public void setXagyuExamStudentTable1(TableRenderData xagyuExamStudentTable1) {
        this.xagyuExamStudentTable1 = xagyuExamStudentTable1;
    }

    public ChartMultiSeriesRenderData getXagyuCourseTargetColumnDiagram1() {
        return xagyuCourseTargetColumnDiagram1;
    }

    public void setXagyuCourseTargetColumnDiagram1(ChartMultiSeriesRenderData xagyuCourseTargetColumnDiagram1) {
        this.xagyuCourseTargetColumnDiagram1 = xagyuCourseTargetColumnDiagram1;
    }
}
