package com.qmth.teachcloud.obe.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.qmth.teachcloud.common.bean.dto.DataPermissionRule;
import com.qmth.teachcloud.common.entity.BasicProfessional;
import com.qmth.teachcloud.obe.been.dto.professional.ProfessionalDto;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 专业认证专业表 Mapper 接口
 * </p>
 *
 * @author xf
 * @since 2024-04-22
 */
public interface BasicProfessionalMapper extends BaseMapper<BasicProfessional> {

    IPage<ProfessionalDto> pageData(@Param("page") Page<ProfessionalDto> page, @Param("schoolId") Long schoolId, @Param("name") String name, @Param("orgId") Long orgId, @Param("dpr") DataPermissionRule dpr);

    List<ProfessionalDto> pageData(@Param("schoolId") Long schoolId, @Param("name") String name, @Param("orgId") Long orgId, @Param("dpr") DataPermissionRule dpr);
}
