package com.qmth.teachcloud.report.business.bean.dto.printOpen;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.teachcloud.common.enums.AssignEnum;

import java.math.BigDecimal;

/**
 * @Description: 分布式印刷开放接口 - 试卷配置
 * @Author: CaoZixuan
 * @Date: 2022-06-08
 */
public class PaperConfig {
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    private String paperType;

    private Long startTime;

    private Long endTime;

    private BigDecimal coefficient;

    private BigDecimal totalScore;

    private BigDecimal passScore;

    private AssignEnum scoreType;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

    public Long getStartTime() {
        return startTime;
    }

    public void setStartTime(Long startTime) {
        this.startTime = startTime;
    }

    public Long getEndTime() {
        return endTime;
    }

    public void setEndTime(Long endTime) {
        this.endTime = endTime;
    }

    public BigDecimal getCoefficient() {
        return coefficient;
    }

    public void setCoefficient(BigDecimal coefficient) {
        this.coefficient = coefficient;
    }

    public BigDecimal getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(BigDecimal totalScore) {
        this.totalScore = totalScore;
    }

    public BigDecimal getPassScore() {
        return passScore;
    }

    public void setPassScore(BigDecimal passScore) {
        this.passScore = passScore;
    }

    public AssignEnum getScoreType() {
        return scoreType;
    }

    public void setScoreType(AssignEnum scoreType) {
        this.scoreType = scoreType;
    }
}
