package com.qmth.teachcloud.report.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.teachcloud.report.business.bean.result.TBPaperStructResult;
import com.qmth.teachcloud.report.business.entity.TBPaperStruct;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 试卷结构表 Mapper 接口
 * </p>
 *
 * @author wangliang
 * @since 2021-06-01
 */
public interface TBPaperStructMapper extends BaseMapper<TBPaperStruct> {

    /**
     * 查找试卷结构
     *
     * @param examId
     * @param courseCode
     * @return
     */
    List<TBPaperStructResult> findQuestionInfo(@Param("examId") Long examId, @Param("courseCode") String courseCode);

    List<TBPaperStructResult> findQuestionInfoByTeacherCollege(@Param("examId") Long examId,@Param("courseCode") String courseCode,@Param("inspectCollegeId") Long inspectCollegeId,@Param("teacherId") Long teacherId);
}
