package com.qmth.teachcloud.report.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.teachcloud.report.business.entity.TAExamCourseRecordDio;

import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * <p>
 * 参考课程考生各考查点维度分析表 服务类
 * </p>
 *
 * @author wangliang
 * @since 2021-06-01
 */
public interface TAExamCourseRecordDioService extends IService<TAExamCourseRecordDio> {

    /**
     * 优化查询每个学生每个知识点得分
     * @param schoolId 学校id
     * @param examId 考试id
     * @param courseCode 课程编号
     * @return 大集合
     */
    Set<String> findDimensionTypesByCourseCode(Long schoolId, Long examId, String courseCode);
}
