package com.qmth.teachcloud.report.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.teachcloud.report.business.bean.result.CellResult;
import com.qmth.teachcloud.report.business.entity.TAExamCourseTeacherCollegeDifficult;

import java.util.List;

/**
 * <p>
 * 授课教师-本院难度分布和该教师在本院难度分布对比 服务类
 * </p>
 *
 * @author wangliang
 * @since 2021-07-20
 */
public interface TAExamCourseTeacherCollegeDifficultService extends IService<TAExamCourseTeacherCollegeDifficult> {

    /**
     * 查找教师在各学院有效作答
     * @param examId 考试id
     * @param courseCode 课程编号
     * @param teacherId 教师id
     * @param inspectCollegeId 考察学院id
     * @return 结果
     */
    List<CellResult> findValidAnswerDetail(Long examId, String courseCode, Long teacherId,Long inspectCollegeId);
}
