package com.qmth.teachcloud.report.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.teachcloud.report.business.entity.TAExamCourse;
import com.qmth.teachcloud.report.business.entity.TAExamTotal;
import com.qmth.teachcloud.report.business.enums.OrderEnum;

/**
 * <p>
 * 考试维度总计 服务类
 * </p>
 *
 * @author wangliang
 * @since 2021-06-01
 */
public interface TAExamTotalService extends IService<TAExamTotal> {

    TAExamTotal getOverview(Long semesterId, Long examId);

    IPage<TAExamCourse> getCourseSummary(Long semesterId, Long examId, Integer pageNumber, Integer pageSize, String column, OrderEnum order);

    void exportCourseSummary(Long semesterId, Long examId, String column, OrderEnum order) throws Exception;

    void exportDataAnalysis(Long semesterId, Long examId, String courseCode) throws Exception;
}
