package com.qmth.teachcloud.report.business.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.teachcloud.report.business.entity.TAExamCourseRecordDio;
import com.qmth.teachcloud.report.business.mapper.TAExamCourseRecordDioMapper;
import com.qmth.teachcloud.report.business.service.TAExamCourseRecordDioService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

import java.util.Set;

/**
 * <p>
 * 参考课程考生各考查点维度分析表 服务实现类
 * </p>
 *
 * @author wangliang
 * @since 2021-06-01
 */
@Service
public class TAExamCourseRecordDioServiceImpl extends ServiceImpl<TAExamCourseRecordDioMapper, TAExamCourseRecordDio> implements TAExamCourseRecordDioService {
    private final Logger log = LoggerFactory.getLogger(TAExamCourseRecordDioServiceImpl.class);

    @Override
    public Set<String> findDimensionTypesByCourseCode(Long schoolId, Long examId, String courseCode) {
        return this.baseMapper.findDimensionTypesByCourseCode(schoolId, examId, courseCode);
    }
}
