package com.qmth.teachcloud.report.business.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.teachcloud.report.business.bean.result.CellResult;
import com.qmth.teachcloud.report.business.entity.TAExamCourseTeacherCollegeDifficult;
import com.qmth.teachcloud.report.business.mapper.TAExamCourseTeacherCollegeDifficultMapper;
import com.qmth.teachcloud.report.business.service.TAExamCourseTeacherCollegeDifficultService;
import org.springframework.stereotype.Service;
import org.springframework.web.bind.annotation.RequestParam;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 * 授课教师-本院难度分布和该教师在本院难度分布对比 服务实现类
 * </p>
 *
 * @author wangliang
 * @since 2021-07-20
 */
@Service
public class TAExamCourseTeacherCollegeDifficultServiceImpl extends ServiceImpl<TAExamCourseTeacherCollegeDifficultMapper, TAExamCourseTeacherCollegeDifficult> implements TAExamCourseTeacherCollegeDifficultService {
    @Resource
    private TAExamCourseTeacherCollegeDifficultMapper taExamCourseTeacherCollegeDifficultMapper;

    @Override
    public List<CellResult> findValidAnswerDetail(Long examId, String courseCode, Long teacherId, Long inspectCollegeId) {
        return taExamCourseTeacherCollegeDifficultMapper.findValidAnswerDetail(examId, courseCode, teacherId, inspectCollegeId);
    }
}
