package com.qmth.teachcloud.report.business.templete.calculate;

import com.qmth.teachcloud.common.util.Result;
import org.springframework.scheduling.annotation.Async;

import java.io.IOException;
import java.util.Map;

/**
 * @Description:
 * @Author: CaoZixuan
 * @Date:
 */
public abstract class AsyncCalculateTaskTemplete {
    /**
     * 异步计算任务
     *
     * @param map
     * @return
     * @throws IOException
     */
    @Async
    public abstract Result calculateTask(Map<String, Object> map) throws IOException, Exception;
}
