package com.qmth.teachcloud.report.business.templete.service;

import com.qmth.teachcloud.report.business.entity.TAExamCourseRecordDio;
import org.springframework.scheduling.annotation.Async;

import java.util.List;

/**
 * @Description: 复杂计算异步服务类
 * @Author: CaoZixuan
 * @Date: 2022-03-15
 */
public interface ComplicatedCalculateAsyncService {

    /**
     * 多线程批量更新表't_a_exam_course_record_dio'
     * @param taExamCourseRecordDioList taExamCourseRecordDioList
     */
    @Async("analyzeThreadPool")
    void updateTableTAExamCourseRecordDioBatchById(List<TAExamCourseRecordDio> taExamCourseRecordDioList);
}
