package com.qmth.distributed.print.business.bean.dto;

import com.qmth.distributed.print.business.entity.ExamTaskDetail;
import com.qmth.teachcloud.common.enums.FlowStatusEnum;

import java.util.List;
import java.util.Objects;

/**
 * @Date: 2021/3/31.
 */
public class ExamTaskDetailCardDto {

    private String examTaskId;
    private String paperConfirmAttachmentIds;
    private String remark;
    private String taskStatus;
    private String cancelRemark;
    private Boolean enable;
    private Boolean openAb;
    private String flowId;
    private Integer setup;
    // 审核流程taskId
    private String flowTaskId;
    private String examId;
    private String examModel;
    private String category;
    private String examName;
    private String semesterName;
    private FlowStatusEnum flowStatus;
    private String flowStatusStr;
    private String printContent;
    private String auditContent;
    private Boolean review;
    private String examTaskContent;
    private List<ExamTaskDetail> examTaskDetailList;

    public FlowStatusEnum getFlowStatus() {
        return flowStatus;
    }

    public void setFlowStatus(FlowStatusEnum flowStatus) {
        this.flowStatus = flowStatus;
    }

    public String getFlowStatusStr() {
        if (Objects.nonNull(flowStatus)) {
            return flowStatus.getTitle();
        } else {
            return flowStatusStr;
        }
    }

    public void setFlowStatusStr(String flowStatusStr) {
        this.flowStatusStr = flowStatusStr;
    }

    public String getExamTaskId() {
        return examTaskId;
    }

    public void setExamTaskId(String examTaskId) {
        this.examTaskId = examTaskId;
    }

    public String getPaperConfirmAttachmentIds() {
        return paperConfirmAttachmentIds;
    }

    public void setPaperConfirmAttachmentIds(String paperConfirmAttachmentIds) {
        this.paperConfirmAttachmentIds = paperConfirmAttachmentIds;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getTaskStatus() {
        return taskStatus;
    }

    public void setTaskStatus(String taskStatus) {
        this.taskStatus = taskStatus;
    }

    public String getCancelRemark() {
        return cancelRemark;
    }

    public void setCancelRemark(String cancelRemark) {
        this.cancelRemark = cancelRemark;
    }
    public Boolean getEnable() {
        return enable;
    }

    public void setEnable(Boolean enable) {
        this.enable = enable;
    }

    public Boolean getOpenAb() {
        return openAb;
    }

    public void setOpenAb(Boolean openAb) {
        this.openAb = openAb;
    }

    //    public String getStatus() {
//        return status;
//    }
//
//    public void setStatus(String status) {
//        this.status = status;
//    }
    public String getFlowId() {
        return flowId;
    }

    public void setFlowId(String flowId) {
        this.flowId = flowId;
    }

    public Integer getSetup() {
        return setup;
    }

    public void setSetup(Integer setup) {
        this.setup = setup;
    }

    public String getFlowTaskId() {
        return flowTaskId;
    }

    public void setFlowTaskId(String flowTaskId) {
        this.flowTaskId = flowTaskId;
    }

    public String getExamId() {
        return examId;
    }

    public void setExamId(String examId) {
        this.examId = examId;
    }

    public String getExamName() {
        return examName;
    }

    public void setExamName(String examName) {
        this.examName = examName;
    }

    public String getExamModel() {
        return examModel;
    }

    public void setExamModel(String examModel) {
        this.examModel = examModel;
    }

    public String getSemesterName() {
        return semesterName;
    }

    public void setSemesterName(String semesterName) {
        this.semesterName = semesterName;
    }

    public String getPrintContent() {
        return printContent;
    }

    public void setPrintContent(String printContent) {
        this.printContent = printContent;
    }

    public Boolean getReview() {
        return review;
    }

    public void setReview(Boolean review) {
        this.review = review;
    }

    public String getCategory() {
        return category;
    }

    public void setCategory(String category) {
        this.category = category;
    }

    public String getAuditContent() {
        return auditContent;
    }

    public void setAuditContent(String auditContent) {
        this.auditContent = auditContent;
    }

    public String getExamTaskContent() {
        return examTaskContent;
    }

    public void setExamTaskContent(String examTaskContent) {
        this.examTaskContent = examTaskContent;
    }

    public List<ExamTaskDetail> getExamTaskDetailList() {
        return examTaskDetailList;
    }

    public void setExamTaskDetailList(List<ExamTaskDetail> examTaskDetailList) {
        this.examTaskDetailList = examTaskDetailList;
    }
}
