package com.qmth.distributed.print.business.bean.dto.excel;

import com.qmth.teachcloud.common.annotation.ExcelImportTempleteVaild;
import com.qmth.teachcloud.common.annotation.ExcelNote;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @Description: 教学学生导入Dto
 * @Author: CaoZixuan
 * @Date: 2022-02-10
 */
@ExcelImportTempleteVaild(value = true)
public class TeachStudentImportDto implements Serializable {

    @ExcelNote(value = "学号")
    @NotNull
    private String studentCode;

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }
}
