package com.qmth.distributed.print.business.bean.result.examTaskStudent;

import com.qmth.distributed.print.business.bean.result.BasicExamStudentResult;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: 命题任务学生数据（命题任务提交一步到位的 - 考务数据）
 * @Author: CaoZixuan
 * @Date: 2022-08-18
 */
public class ExamTaskStudentObjectResult implements Serializable {
    @ApiModelProperty(value = "教学班")
    private String teachClassName;

    @ApiModelProperty(value = "学生信息集合")
    private List<BasicExamStudentResult> studentInfoList;

    public String getTeachClassName() {
        return teachClassName;
    }

    public void setTeachClassName(String teachClassName) {
        this.teachClassName = teachClassName;
    }

    public List<BasicExamStudentResult> getStudentInfoList() {
        return studentInfoList;
    }

    public void setStudentInfoList(List<BasicExamStudentResult> studentInfoList) {
        this.studentInfoList = studentInfoList;
    }
}
