package com.qmth.distributed.print.business.bean.result.statistics;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.qmth.teachcloud.common.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Description: 扫描计算统计 result
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2024/7/11
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ScanCalculateResult implements Serializable {

    @ApiModelProperty(value = "已扫张数")
    private int sheetCount;

    @ApiModelProperty(value = "扫描进度")
    private BigDecimal scanUploadRate;

    @ApiModelProperty(value = "已扫人数")
    private int uploadCount;

    public int getUploadCount() {
        return uploadCount;
    }

    public void setUploadCount(int uploadCount) {
        this.uploadCount = uploadCount;
    }

    public int getSheetCount() {
        return sheetCount;
    }

    public void setSheetCount(int sheetCount) {
        this.sheetCount = sheetCount;
    }

    public BigDecimal getScanUploadRate() {
        return scanUploadRate;
    }

    public void setScanUploadRate(BigDecimal scanUploadRate) {
        this.scanUploadRate = scanUploadRate;
    }
}
