package com.qmth.distributed.print.business.service;

import com.qmth.distributed.print.business.bean.upgrade.result.ClientResult;
import com.qmth.distributed.print.business.entity.ClientUpgrade;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.teachcloud.common.enums.clientpackage.ClientPackageEnum;
import org.springframework.web.multipart.MultipartFile;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author xf
 * @since 2024-03-20
 */
public interface ClientUpgradeService extends IService<ClientUpgrade> {

    void upload(MultipartFile file, String md5, ClientPackageEnum type);

    ClientUpgrade getByPlatform(String platform);

    ClientResult getExternalByPlatform(String platform);
}
