package com.qmth.distributed.print.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.qmth.distributed.print.business.bean.dto.ExamTaskDetailDto;
import com.qmth.teachcloud.common.bean.dto.DataPermissionRule;
import org.apache.commons.lang3.StringUtils;

import javax.servlet.http.HttpServletResponse;
import java.util.List;
import java.util.Set;

/**
 * <p>
 * 下载管理 服务类
 * </p>
 */
public interface DownloadService {
    IPage<ExamTaskDetailDto> page(Long examId, Long courseId, String paperNumber, Long orgId, String userParam, Integer pageNumber, Integer pageSize);

    void paperDownload(HttpServletResponse response, Long id) throws Exception;

    List<ExamTaskDetailDto> listExamQuery(Long semesterId, Long examId, Long orgId, String courseName, Set<Long> idSet, DataPermissionRule dpr);
}
