package com.qmth.distributed.print.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.distributed.print.business.bean.upgrade.result.ClientResult;
import com.qmth.distributed.print.business.entity.ClientUpgrade;
import com.qmth.distributed.print.business.entity.ExamTaskWhole;
import com.qmth.teachcloud.common.enums.clientpackage.ClientPackageEnum;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Map;

public interface ExamTaskWholeService extends IService<ExamTaskWhole> {

    void checkAndCreateTask(Long examId, Long courseId, String paperNumber);

    ExamTaskWhole getByExamIdAndCourseIdAndPaperNumber(Long examId, String paperNumber);
    int countByExamIdAndCourseIdAndPaperNumber(Long examId, String paperNumber);
    boolean deleteByExamIdAndCourseIdAndPaperNumber(Long examId, String paperNumber);

    Map getWholePdf(Long examId, String paperNumber);

    void mergeWholePdf(ExamTaskWhole examTaskWhole);
}
