package com.qmth.distributed.print.business.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.distributed.print.business.entity.TCStatisticsTemp;
import com.qmth.distributed.print.business.mapper.TCStatisticsTempMapper;
import com.qmth.distributed.print.business.service.TCStatisticsTempService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 * 命题统计临时表 服务实现类
 * </p>
 *
 * @author wangliang
 * @since 2021-09-09
 */
@Service
public class TCStatisticsServiceTempImpl extends ServiceImpl<TCStatisticsTempMapper, TCStatisticsTemp> implements TCStatisticsTempService {

    @Resource
    TCStatisticsTempMapper tcStatisticsTempMapper;

    /**
     * 根据批次号查找印刷计划信息
     *
     * @param schoolId
     * @param batchNo
     * @return
     */
    @Override
    public List<TCStatisticsTemp> findByBatchNoJoin(Long schoolId, String batchNo) {
        return tcStatisticsTempMapper.findByBatchNoJoin(schoolId, batchNo);
    }
}
