USE teachcloud_db;

ALTER TABLE t_f_flow_log ADD task_id BIGINT NULL COMMENT '流程节点id';

UPDATE sys_config SET config_value='500' WHERE config_key='thread.pool.core.size';
UPDATE sys_config SET config_value='true' WHERE config_key='custom.thread.pool.core.size';

INSERT INTO `sys_config` VALUES (401752651068346368, 135, NULL, 'open.flow.message.push', '是否开启消息推送', 'true', NULL, 1, 5, 1, 1686726096298, NULL, 1686726096298);
INSERT INTO `sys_config` VALUES (401752651068346369, 135, NULL, 'flow.message.type', '消息类型', 'OFF_STANDARD', NULL, 1, 6, 1, 1686726096303, NULL, 1686726096303);
INSERT INTO `sys_config` VALUES (401752651068346370, 135, NULL, 'mq.host.url', '消息中心地址', 'http://exam.gdpu.edu.cn:7400?code=gdpu', NULL, 1, 7, 1, 1686726096309, NULL, 1686726096309);

INSERT INTO `sys_privilege` VALUES (875, '我教课程选择', 'MyTeachCourse', 'BUTTON', 40, 10, 'AUTH', '759', 1, 0, 1);
INSERT INTO `sys_privilege` VALUES (876, '学生库选择', 'StudentLibrary', 'BUTTON', 40, 11, 'AUTH', '759', 1, 0, 1);
INSERT INTO `sys_privilege` VALUES (877, '选择学生（学生库选择）', 'SelectStudent', 'BUTTON', 40, 12, 'AUTH', NULL, 1, 0, 1);
INSERT INTO `sys_privilege` VALUES (878, '作废', 'Cancel', 'LINK', 42, 5, 'AUTH', '879', 1, 0, 1);
INSERT INTO `sys_privilege` VALUES (879, '作废', '/api/admin/exam/task/cancel', 'URL', 42, 8, 'AUTH', NULL, 1, 1, 1);

ALTER TABLE `exam_task` ADD COLUMN `cancel_remark` MEDIUMTEXT NULL COMMENT '作废原因' AFTER `paper_name`;