package com.qmth.teachcloud.common.bean.examRule;

/**
 * exam_student表中required_fields、extend_fields字段对应实体
 */
public class CodeNameEnableDisabledValue extends CodeNameEnableValue{

    private Boolean disabled;

    public CodeNameEnableDisabledValue()
    {
    }

    public CodeNameEnableDisabledValue(Boolean disabled) {
        this.disabled = disabled;
    }

    public CodeNameEnableDisabledValue(String code, String name, Boolean enable, Boolean disabled, String value) {
        super(code, name, enable, value);
        this.disabled = disabled;
    }

    public Boolean getDisabled() {
        return disabled;
    }

    public void setDisabled(Boolean disabled) {
        this.disabled = disabled;
    }
}
