package com.qmth.teachcloud.common.bean.marking;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 转化的pdf文件存储
 * @Author: CaoZixuan
 * @Date: 2022-04-15
 */
public class ConvertJpgStorage {
    @ApiModelProperty("jpg附件id")
    private String attachmentId;

    @ApiModelProperty("jpg是题卡的第几页")
    private Integer index;

    public ConvertJpgStorage() {
    }

    public ConvertJpgStorage(Long attachmentId, Integer index) {
        this.attachmentId = String.valueOf(attachmentId);
        this.index = index;
    }

    public String getAttachmentId() {
        return attachmentId;
    }

    public void setAttachmentId(String attachmentId) {
        this.attachmentId = attachmentId;
    }

    public Integer getIndex() {
        return index;
    }

    public void setIndex(Integer index) {
        this.index = index;
    }
}
