package com.qmth.teachcloud.common.enums;

import java.util.Objects;

/**
 * 工具类型
 */
public enum ToolsTypeEnum {

    PICTURE_DOWNLOAD("图片下载工具");

    private String name;

    private ToolsTypeEnum(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    /**
     * 状态转换 toName
     *
     * @param name
     * @return
     */
    public static String convertToName(String name) {
        for (ToolsTypeEnum e : ToolsTypeEnum.values()) {
            if (Objects.equals(name, e.getName())) {
                return e.name();
            }
        }
        return null;
    }
}
