package com.qmth.teachcloud.common.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.teachcloud.common.entity.SysConfig;

import java.util.List;

/**
 * <p>
 * 参数表 服务类
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
public interface SysConfigService extends IService<SysConfig> {

    SysConfig getByKey(String key);

    /**
     * 查询所有系统配置项
     *
     * @return
     */
    List<SysConfig> selectAll();
}
