package com.qmth.teachcloud.common.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.teachcloud.common.entity.SysTools;
import com.qmth.teachcloud.common.enums.ToolsTypeEnum;
import org.springframework.web.multipart.MultipartFile;

/**
 * <p>
 * 工具管理 服务类
 * </p>
 *
 * @author xf
 * @since 2024-08-19
 */
public interface SysToolsService extends IService<SysTools> {

    void upload(MultipartFile file, String md5, ToolsTypeEnum type);

    SysTools getExternalByType(ToolsTypeEnum type);
}
