package com.qmth.teachcloud.common.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.teachcloud.common.entity.TSchoolRole;

import java.util.List;

/**
 * <p>
 * 学校角色权限表 服务类
 * </p>
 *
 * @author wangliang
 * @since 2021-10-28
 */
public interface TSchoolRoleService extends IService<TSchoolRole> {

    /**
     * 根据学校id查找自定义角色
     *
     * @param schoolId
     * @return
     */
    List<TSchoolRole> findBySchoolId(Long schoolId);
}
