package com.qmth.teachcloud.common.util.excel.convertor.reader;

import com.qmth.boot.tools.excel.convertor.ValueConvertor;
import com.qmth.boot.tools.excel.model.FieldParam;
import org.apache.commons.lang3.StringUtils;
import org.apache.poi.ss.usermodel.Cell;

public class StringValueConvertor implements ValueConvertor<String> {
    @Override
    public String parse(String value, FieldParam fieldParam) throws Exception {
        return StringUtils.deleteWhitespace(value);
    }

    @Override
    public void format(String object, FieldParam fieldParam, Cell cell) throws Exception {
        cell.setCellValue(StringUtils.deleteWhitespace(object));
    }
}
