package com.qmth.teachcloud.mark.bean.document;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

public class ArchivePaperVo {

	@JsonSerialize(using = ToStringSerializer.class)
	private Long examId;
	private String courseCode;
	private String courseName;
	private String openCollege;
	private String paperNumber;

	@JsonSerialize(using = ToStringSerializer.class)
	@ApiModelProperty("命题任务id")
	private Long examTaskId;

	public Long getExamId() {
		return examId;
	}

	public void setExamId(Long examId) {
		this.examId = examId;
	}

	public String getCourseCode() {
		return courseCode;
	}

	public void setCourseCode(String courseCode) {
		this.courseCode = courseCode;
	}

	public String getCourseName() {
		return courseName;
	}

	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}

	public String getOpenCollege() {
		return openCollege;
	}

	public void setOpenCollege(String openCollege) {
		this.openCollege = openCollege;
	}

	public String getPaperNumber() {
		return paperNumber;
	}

	public void setPaperNumber(String paperNumber) {
		this.paperNumber = paperNumber;
	}

	public Long getExamTaskId() {
		return examTaskId;
	}

	public void setExamTaskId(Long examTaskId) {
		this.examTaskId = examTaskId;
	}
}
