package com.qmth.teachcloud.mark.bean.scanpackage;

import javax.validation.constraints.NotNull;

import com.qmth.teachcloud.common.enums.ScanStatus;
import com.qmth.teachcloud.mark.utils.PagerQuery;

public class ScanPackageQuery extends PagerQuery {
    @NotNull(message = "考试Id不能为空")
    private Long examId;
    private Long courseId;
    private String coursePaperId;
    private String examRoom;
    private ScanStatus status;

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Long getCourseId() {
        return courseId;
    }

    public void setCourseId(Long courseId) {
        this.courseId = courseId;
    }

    public String getCoursePaperId() {
        return coursePaperId;
    }

    public void setCoursePaperId(String coursePaperId) {
        this.coursePaperId = coursePaperId;
    }

    public String getExamRoom() {
        return examRoom;
    }

    public void setExamRoom(String examRoom) {
        this.examRoom = examRoom;
    }

    public ScanStatus getStatus() {
        return status;
    }

    public void setStatus(ScanStatus status) {
        this.status = status;
    }

}
