package com.qmth.teachcloud.mark.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.teachcloud.mark.bean.scananswer.AnswerPaperVo;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @Description:
 * @Author: CaoZixuan
 * @Date:
 */
public class ScanPaperTypeCheckDto {

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty("考生id（mark_student）")
    private Long studentId;

    @ApiModelProperty("学号")
    private String studentCode;

    @ApiModelProperty("学生姓名")
    private String studentName;

    @ApiModelProperty("识别卷型")
    private String paperType;

    @ApiModelProperty("识别卷型")
    private Integer paperIndex;

    @ApiModelProperty("绑定试卷信息")
    private List<AnswerPaperVo> papers;

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

    public Integer getPaperIndex() {
        return paperIndex;
    }

    public void setPaperIndex(Integer paperIndex) {
        this.paperIndex = paperIndex;
    }

    public List<AnswerPaperVo> getPapers() {
        return papers;
    }

    public void setPapers(List<AnswerPaperVo> papers) {
        this.papers = papers;
    }
}
