package com.qmth.teachcloud.mark.dto.mark;

import com.qmth.teachcloud.common.enums.ExamNumberStyleEnum;
import com.qmth.teachcloud.common.enums.PaperTypeEnum;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * <p>
 * 考试考生库
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
public class AbInfoVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "是否开启AB卷")
    private Boolean openAb;

    @ApiModelProperty(value = "Ab卷版式")
    private PaperTypeEnum paperTypeStyle;

    @ApiModelProperty(value = "考号版式")
    private ExamNumberStyleEnum examNumberStyle;

    public Boolean getOpenAb() {
        return openAb;
    }

    public void setOpenAb(Boolean openAb) {
        this.openAb = openAb;
    }

    public PaperTypeEnum getPaperTypeStyle() {
        return paperTypeStyle;
    }

    public void setPaperTypeStyle(PaperTypeEnum paperTypeStyle) {
        this.paperTypeStyle = paperTypeStyle;
    }

    public ExamNumberStyleEnum getExamNumberStyle() {
        return examNumberStyle;
    }

    public void setExamNumberStyle(ExamNumberStyleEnum examNumberStyle) {
        this.examNumberStyle = examNumberStyle;
    }
}
