package com.qmth.teachcloud.mark.dto.mark.score;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

import java.io.Serializable;
import java.util.Objects;

public class StudentScoreDetailExportDto implements Serializable {

    @JsonSerialize(using = ToStringSerializer.class)
    private Long examId;
    private String paperNumber;
    private String teachClassName;

    public StudentScoreDetailExportDto() {

    }

    public StudentScoreDetailExportDto(StudentScoreDetailDto studentScoreDetailDto) {
        this.examId = studentScoreDetailDto.getExamId();
        this.paperNumber = studentScoreDetailDto.getPaperNumber();
        this.teachClassName = studentScoreDetailDto.getTeachClassName();
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }

    public String getTeachClassName() {
        return teachClassName;
    }

    public void setTeachClassName(String teachClassName) {
        this.teachClassName = teachClassName;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        StudentScoreDetailExportDto that = (StudentScoreDetailExportDto) o;
        return Objects.equals(examId, that.examId) && Objects.equals(paperNumber, that.paperNumber) && Objects.equals(teachClassName, that.teachClassName);
    }

    @Override
    public int hashCode() {
        return Objects.hash(examId, paperNumber, teachClassName);
    }
}
