package com.qmth.teachcloud.mark.enums;

/**
 * 考试类型
 */
public enum ExamType {

	SCAN_IMAGE("扫描图片类型", 1), MULTI_MEDIA("多媒体类型", 2);

	private String name;

	private int value;

	private ExamType(String name, int value) {
		this.name = name;
		this.value = value;
	}

	public String getName() {
		return name;
	}

	public int getValue() {
		return value;
	}

	public static ExamType findByValue(int value) {
		ExamType status = null;
		for (ExamType s : ExamType.values()) {
			if (s.getValue() == value) {
				status = s;
				break;
			}
		}
		return status;
	}
}
