package com.qmth.teachcloud.mark.mapper;

import com.qmth.teachcloud.mark.entity.MarkQuestionAnswer;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 客观题信息 Mapper 接口
 * </p>
 *
 * @author xf
 * @since 2024-10-16
 */
public interface MarkQuestionAnswerMapper extends BaseMapper<MarkQuestionAnswer> {

    List<MarkQuestionAnswer> listByExamIdAndPaperNumberAndPaperType(@Param("examId") Long examId, @Param("paperNumber") String paperNumber, @Param("paperType") String paperType);
}
