package com.qmth.teachcloud.mark.mapper;

import com.github.jeffreyning.mybatisplus.base.MppBaseMapper;
import com.qmth.teachcloud.mark.bean.archivescore.QuestionVo;
import com.qmth.teachcloud.mark.entity.MarkSubjectiveScore;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 主观题得分明细表 Mapper 接口
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
public interface MarkSubjectiveScoreMapper extends MppBaseMapper<MarkSubjectiveScore> {

	List<QuestionVo> getSubjectiveVo(@Param("studentIds")List<Long> studentIds);

}
