package com.qmth.teachcloud.mark.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.github.jeffreyning.mybatisplus.base.MppBaseMapper;
import com.qmth.teachcloud.mark.bean.archivescore.ScanPaperPageVo;
import com.qmth.teachcloud.mark.entity.ScanPaperPage;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
public interface ScanPaperPageMapper extends MppBaseMapper<ScanPaperPage> {

	List<ScanPaperPageVo> listByStudentIds(@Param("studentIds")List<Long> studentIds);

}
