package com.qmth.teachcloud.mark.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.qmth.teachcloud.mark.entity.ScanLog;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.web.multipart.MultipartFile;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author xf
 * @since 2023-12-08
 */
public interface ScanLogService extends IService<ScanLog> {

    boolean uploadLogFile(String schoolCode, String deviceCode, MultipartFile file, String md5, String loginName, String type);

    IPage<ScanLog> listScanLog(String schoolCode, String loginName, Integer pageNumber, Integer pageSize);
}
