package com.qmth.teachcloud.obe.been.obe;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.teachcloud.common.entity.BasicProfessional;

import java.util.List;

public class MatrixRequirementDto extends BasicProfessional {

    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;
    private String name;
    private String content;
    private Double expectValue;
    private Integer sortNum;
    private List<MatrixSubRequirementDto> subRequirements;

    @Override
    public Long getId() {
        return id;
    }

    @Override
    public void setId(Long id) {
        this.id = id;
    }

    @Override
    public String getName() {
        return name;
    }

    @Override
    public void setName(String name) {
        this.name = name;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Integer getSortNum() {
        return sortNum;
    }

    public void setSortNum(Integer sortNum) {
        this.sortNum = sortNum;
    }

    public List<MatrixSubRequirementDto> getSubRequirements() {
        return subRequirements;
    }

    public void setSubRequirements(List<MatrixSubRequirementDto> subRequirements) {
        this.subRequirements = subRequirements;
    }

    public Double getExpectValue() {
        return expectValue;
    }

    public void setExpectValue(Double expectValue) {
        this.expectValue = expectValue;
    }
}
