package com.qmth.teachcloud.obe.been.obe;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.teachcloud.common.entity.BasicProfessional;

import java.math.BigDecimal;

public class MatrixSubRequirementDto extends BasicProfessional {

    // 矩阵ID
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;
    private String name;
    private BigDecimal scale = new BigDecimal(0);
    private String content;

    // 毕业要求指标点ID
    @JsonSerialize(using = ToStringSerializer.class)
    private Long subRequirementId;
    private Integer subRequirementSortNum;

    public Long getSubRequirementId() {
        return subRequirementId;
    }

    public void setSubRequirementId(Long subRequirementId) {
        this.subRequirementId = subRequirementId;
    }

    @Override
    public Long getId() {
        return id;
    }

    @Override
    public void setId(Long id) {
        this.id = id;
    }

    @Override
    public String getName() {
        return name;
    }

    @Override
    public void setName(String name) {
        this.name = name;
    }

    public BigDecimal getScale() {
        return scale;
    }

    public void setScale(BigDecimal scale) {
        this.scale = scale;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Integer getSubRequirementSortNum() {
        return subRequirementSortNum;
    }

    public void setSubRequirementSortNum(Integer subRequirementSortNum) {
        this.subRequirementSortNum = subRequirementSortNum;
    }
}
