package com.qmth.teachcloud.obe.been.report;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Description: 报告课程目标考核分布-分数范围dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2024/2/26
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ReportScoreRangeViewDto implements Serializable {

    @ApiModelProperty(value = "考生人数")
    private Integer studentCount;

    @ApiModelProperty(value = "最小分")
    private BigDecimal minScore = new BigDecimal(0);

    @ApiModelProperty(value = "最大分")
    private BigDecimal maxScore = new BigDecimal(0);

    @ApiModelProperty(value = "比率")
    private BigDecimal rate = new BigDecimal(0);

    public Integer getStudentCount() {
        return studentCount;
    }

    public void setStudentCount(Integer studentCount) {
        this.studentCount = studentCount;
    }

    public BigDecimal getMinScore() {
        return minScore;
    }

    public void setMinScore(BigDecimal minScore) {
        this.minScore = minScore;
    }

    public BigDecimal getMaxScore() {
        return maxScore;
    }

    public void setMaxScore(BigDecimal maxScore) {
        this.maxScore = maxScore;
    }

    public BigDecimal getRate() {
        return rate;
    }

    public void setRate(BigDecimal rate) {
        this.rate = rate;
    }
}
