package com.qmth.teachcloud.obe.been.result.report.audit;

import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 合理性评价详情
 * @Author: CaoZixuan
 * @Date: 2024-10-08
 */
public class RationalityEvaluationDetail {

    @ApiModelProperty("序号")
    private Integer index;

    @ApiModelProperty("评价内容")
    private String content;

    @ApiModelProperty("合理")
    private Boolean reasonable;

    @ApiModelProperty("较合理")
    private Boolean middle;

    @ApiModelProperty("不合理")
    private Boolean unreasonable;

    public RationalityEvaluationDetail() {
    }

    public RationalityEvaluationDetail(Integer index, String content) {
        this.index = index;
        this.content = content;
    }

    public Integer getIndex() {
        return index;
    }

    public void setIndex(Integer index) {
        this.index = index;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Boolean getReasonable() {
        return reasonable;
    }

    public void setReasonable(Boolean reasonable) {
        this.reasonable = reasonable;
    }

    public Boolean getMiddle() {
        return middle;
    }

    public void setMiddle(Boolean middle) {
        this.middle = middle;
    }

    public Boolean getUnreasonable() {
        return unreasonable;
    }

    public void setUnreasonable(Boolean unreasonable) {
        this.unreasonable = unreasonable;
    }
}
