package com.qmth.teachcloud.obe.been.result.report.word.custom;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Description: 西安工业大学课程报告分数bean
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2024/10/11
 */
public class XagyuScoreOtherBean implements Serializable {

    @ApiModelProperty(name = "目标名称")
    String targetName;

    @ApiModelProperty(name = "分数人数")
    Integer[] scoreSizes;

    @ApiModelProperty(name = "分数百分比")
    BigDecimal[] scorePercent;

    public XagyuScoreOtherBean() {

    }

    public XagyuScoreOtherBean(String targetName, Integer[] scoreSizes, BigDecimal[] scorePercent) {
        this.targetName = targetName;
        this.scoreSizes = scoreSizes;
        this.scorePercent = scorePercent;
    }

    public String getTargetName() {
        return targetName;
    }

    public void setTargetName(String targetName) {
        this.targetName = targetName;
    }

    public Integer[] getScoreSizes() {
        return scoreSizes;
    }

    public void setScoreSizes(Integer[] scoreSizes) {
        this.scoreSizes = scoreSizes;
    }

    public BigDecimal[] getScorePercent() {
        return scorePercent;
    }

    public void setScorePercent(BigDecimal[] scorePercent) {
        this.scorePercent = scorePercent;
    }
}
