package com.qmth.teachcloud.obe.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.qmth.teachcloud.obe.been.result.CultureProgramCourseSelectResult;
import com.qmth.teachcloud.obe.entity.ObeCultureProgramCourse;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Set;

/**
 * <p>
 * 培养方案课程体系 Mapper 接口
 * </p>
 *
 * @author xf
 * @since 2024-06-05
 */
public interface ObeCultureProgramCourseMapper extends BaseMapper<ObeCultureProgramCourse> {

    IPage<CultureProgramCourseSelectResult> queryList(Page<CultureProgramCourseSelectResult> page, @Param("cultureProgramId") Long cultureProgramId, @Param("orgIdSet") Set<Long> orgIdSet, @Param("courseCodeOrName") String courseCodeOrName);

    List<ObeCultureProgramCourse> listCourse(Long cultureProgramId);
}
