package com.qmth.teachcloud.obe.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.teachcloud.obe.been.dto.professional.ProfessionalDto;
import com.qmth.teachcloud.common.entity.BasicProfessional;

import java.util.List;

/**
 * <p>
 * 专业认证专业表 服务类
 * </p>
 *
 * @author xf
 * @since 2024-04-22
 */
public interface BasicProfessionalService extends IService<BasicProfessional> {

    List<ProfessionalDto> listData(String name, Long orgId);

    IPage<ProfessionalDto> pageData(Page<ProfessionalDto> page, String name, Long orgId);

    Boolean saveData(BasicProfessional tpProfessional);

    boolean remove(Long id);
}
