package com.qmth.teachcloud.report.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.teachcloud.report.business.entity.TAExamCourseTeacherCollegeDio;

/**
 * <p>
 * 各个教师在考察学院下的各考察点得分情况表 服务类
 * </p>
 *
 * @author wangliang
 * @since 2021-07-20
 */
public interface TAExamCourseTeacherCollegeDioService extends IService<TAExamCourseTeacherCollegeDio> {
    /**
     * 根据考试编号和课程编号和‘t_a_exam_course_record_dio’表向‘t_a_exam_course_teacher_college_dio’表插入数据
     * @param examId 考试id
     * @param courseCode 课程编号
     */
    void insertByTAExamCourseRecordDio(Long examId,String courseCode);
}
