package com.qmth.teachcloud.report.business.templete.service.impl;

import com.qmth.teachcloud.report.business.entity.TAExamCourseRecordDio;
import com.qmth.teachcloud.report.business.service.TAExamCourseRecordDioService;
import com.qmth.teachcloud.report.business.templete.service.ComplicatedCalculateAsyncService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Description: 复杂计算异步服务类实现类
 * @Author: CaoZixuan
 * @Date: 2022-03-15
 */
@Service
public class ComplicatedCalculateAsyncServiceImpl implements ComplicatedCalculateAsyncService {
    @Resource
    private TAExamCourseRecordDioService taExamCourseRecordDioService;

    @Transactional(rollbackFor = Exception.class)
    @Override
    public void updateTableTAExamCourseRecordDioBatchById(List<TAExamCourseRecordDio> taExamCourseRecordDioList) {
        taExamCourseRecordDioService.updateBatchById(taExamCourseRecordDioList);
    }
}
