USE teachreport_db;

-- 2023-11-28
ALTER TABLE sys_user
    ADD COLUMN ui_setting TEXT NULL COMMENT '阅卷参数' AFTER historic_name,
    ADD COLUMN allow_manual_card TINYINT(1) NULL DEFAULT '0' COMMENT '是否允许新增卡格式' AFTER ui_setting;

ALTER TABLE sys_role_privilege
    ADD COLUMN school_id BIGINT NULL COMMENT '内置角色，按学校自定义的权限' AFTER enable;

ALTER TABLE basic_school
    ADD COLUMN init_password VARCHAR(100) NULL COMMENT '该学校用户的初始密码，默认为12345678' AFTER logo,
    CHANGE COLUMN logo logo MEDIUMTEXT NULL DEFAULT NULL COMMENT 'logo' AFTER update_id;